alacarte crashed with AttributeError in getUserMenuXml()

Bug #182586 reported by mabovo on 2008-01-13
40
This bug affects 1 person
Affects Status Importance Assigned to Milestone
alacarte (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: alacarte

I was trying to access System > Preferences > Main Menu to check why Menu tab Applications doesen't show menu options.

ProblemType: Crash
Architecture: amd64
Date: Sun Jan 13 13:27:50 2008
DistroRelease: Ubuntu 8.04
ExecutablePath: /usr/bin/alacarte
InterpreterPath: /usr/bin/python2.5
NonfreeKernelModules: ath_hal
Package: alacarte 0.11.3-1ubuntu1
PackageArchitecture: all
ProcCmdline: /usr/bin/python -OOt /usr/bin/alacarte
ProcCwd: /home/mabovo
ProcEnviron:
 SHELL=/bin/bash
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=pt_BR.UTF-8
 LANGUAGE=pt_BR:pt:pt_PT
PythonArgs: ['/usr/bin/alacarte']
SourcePackage: alacarte
Title: alacarte crashed with AttributeError in getUserMenuXml()
Uname: Linux macbook 2.6.24-3-generic #1 SMP Thu Jan 3 22:50:33 UTC 2008 x86_64 GNU/Linux
UserGroups: adm admin audio cdrom dialout dip floppy lpadmin netdev plugdev powerdev scanner video

mabovo (mabovo) wrote :
faif (faifcn) wrote :

hi I have same problem here, after I messed up menu, I tried use alacarte to restore default menu and meet the following error:
/usr/lib/python2.5/site-packages/apt/progress.py: inconsistent use of tabs and spaces in indentation
Traceback (most recent call last):
  File "/usr/bin/alacarte", line 36, in <module>
    main()
  File "/usr/bin/alacarte", line 32, in main
    app = MainWindow(datadir, version, sys.argv)
  File "/usr/lib/python2.5/site-packages/Alacarte/MainWindow.py", line 49, in __init__
    self.editor = MenuEditor()
  File "/usr/lib/python2.5/site-packages/Alacarte/MenuEditor.py", line 36, in __init__
    self.__loadMenus()
  File "/usr/lib/python2.5/site-packages/Alacarte/MenuEditor.py", line 44, in __loadMenus
    self.applications.dom = xml.dom.minidom.parseString(util.getUserMenuXml(self.applications.tree))
  File "/usr/lib/python2.5/site-packages/Alacarte/util.py", line 197, in getUserMenuXml
    name = tree.root.get_menu_id()
AttributeError: 'NoneType' object has no attribute 'get_menu_id'

Marco Toigo (marco-toigo) wrote :

Hi,

I fix the bug with the restoring of ubuntustudio-menu package.

Paulo Pizarro (paulo-pizarro) wrote :

hi I have same problem here, after I messed up menu, I tried use alacarte to restore default menu and meet the following error:
/usr/lib/python2.5/site-packages/apt/progress.py: inconsistent use of tabs and spaces in indentation
Traceback (most recent call last):
  File "/usr/bin/alacarte", line 36, in <module>
    main()
  File "/usr/bin/alacarte", line 32, in main
    app = MainWindow(datadir, version, sys.argv)
  File "/usr/lib/python2.5/site-packages/Alacarte/MainWindow.py", line 49, in __init__
    self.editor = MenuEditor()
  File "/usr/lib/python2.5/site-packages/Alacarte/MenuEditor.py", line 36, in __init__
    self.__loadMenus()
  File "/usr/lib/python2.5/site-packages/Alacarte/MenuEditor.py", line 44, in __loadMenus
    self.applications.dom = xml.dom.minidom.parseString(util.getUserMenuXml(self.applications.tree))
  File "/usr/lib/python2.5/site-packages/Alacarte/util.py", line 197, in getUserMenuXml
    name = tree.root.get_menu_id()
AttributeError: 'NoneType' object has no attribute 'get_menu_id'

Penguinz (dbfoster) wrote :

Looks like I'm not alone. I have no "Applications" menu items, although "Places" and "System" are fully populated. I brought about my grief by dist-upgrade UbuntuStudio 7.10 to 8.04. I ran into problems and made me decide to remove ubuntu studio packages till I was able to get Ubuntu-Desktop fully installed.

so I have no Applications menu items.
Tried creating a new user(for a fresh desktop), same thing.
Right click-edit menu, crashs.
alacarte crashs with......
--------------------------------------------------------------------------------------------------------------------
david@bigfoot:~$ alacarte
/usr/lib/python2.5/site-packages/apt/progress.py: inconsistent use of tabs and spaces in indentation
Traceback (most recent call last):
  File "/usr/bin/alacarte", line 36, in <module>
    main()
  File "/usr/bin/alacarte", line 32, in main
    app = MainWindow(datadir, version, sys.argv)
  File "/usr/lib/python2.5/site-packages/Alacarte/MainWindow.py", line 49, in __init__
    self.editor = MenuEditor()
  File "/usr/lib/python2.5/site-packages/Alacarte/MenuEditor.py", line 36, in __init__
    self.__loadMenus()
  File "/usr/lib/python2.5/site-packages/Alacarte/MenuEditor.py", line 44, in __loadMenus
    self.applications.dom = xml.dom.minidom.parseString(util.getUserMenuXml(self.applications.tree))
  File "/usr/lib/python2.5/site-packages/Alacarte/util.py", line 197, in getUserMenuXml
    name = tree.root.get_menu_id()
AttributeError: 'NoneType' object has no attribute 'get_menu_id'
-------------------------------------------------------------------------------------------------
-removed gnome-panel, alacart, menu-xdg gnome-applets, and reinstalled.
-Considering deleting my .gnome2 directory, but realy don't want to loose all my program settings :( and I think making a new user kind of proves this to not work.

Vinaze (thespacemunkies) wrote :

Hey Penguinz, I had exactly the same problem.
I fixed it like Marco Toigo do, by reinstalling Ubunstudio-menu.
Hope this help.
See Ya. :)

Travis Watkins (amaranth) wrote :

Remove the contents of the ~/.config/menus directory.

Zoubidoo (zoubidoo) wrote :

Same problem here on 8.10 i386. No applications menu and alacarte crashes after uninstalling ubuntustudio.

Should this problem be reported to the ubuntustudio people instead?

Marco Toigo (marco-toigo) wrote :

I have open a new bug https://bugs.launchpad.net/ubuntustudio/+bug/235493 to the ubuntustudio team

Daniel T Chen (crimsun) on 2008-11-23
Changed in alacarte:
importance: Undecided → Low
Pedro Villavicencio (pedro) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. You reported this bug a while ago and there hasn't been any activity in it recently. We were wondering is this still an issue for you? Thanks in advance.

Changed in alacarte:
status: New → Incomplete

I would call it closed. I did the reinstall of Ubuntu-studio and it fixed
it. No problems since. Thanks for checking back.
   Dave

On Mon, Jan 26, 2009 at 9:47 AM, Pedro Villavicencio <email address hidden>wrote:

> Thank you for taking the time to report this bug and helping to make
> Ubuntu better. You reported this bug a while ago and there hasn't been
> any activity in it recently. We were wondering is this still an issue
> for you? Thanks in advance.
>
> ** Changed in: alacarte (Ubuntu)
> Status: New => Incomplete
>
> --
> alacarte crashed with AttributeError in getUserMenuXml()
> https://bugs.launchpad.net/bugs/182586
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
David Foster
Bellingham WA
<email address hidden>

Pedro Villavicencio (pedro) wrote :

Yes let's close it, thanks.

Changed in alacarte:
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments